#pragma once

#include "vertex_engine/utils/utils.hpp" // IWYU pragma: keep

namespace VE
{
  class buffer
  {
    public:
      buffer();
      virtual ~buffer();

    public:
      void render();

    public:
      void link();

    public:
      GLuint m_vao;
      GLuint m_vbo;
      GLuint m_ebo;
      
      std::vector<GLfloat> m_vertices;
      std::vector<GLuint> m_indices;
  };
}
